SmakeSmake API Docs
EndpointsLogos

List logos

GET
/logos

Here you can view logos, design a logo or create a new one with a new file or an uploaded media (see Upload Media).

Designing and Creating Logos requires long-lasting file operations. After transferring and creating files you will receive a new Logo that can be placed on a variant. See Design variant.

Returns a collection of Logos.

Filtering

You can filter your results as follows — see the filter[...] query parameters below:

  • List logos for specified id(s): /logos?filter[id]=1, /logos?filter[id]=1,2,3
  • List logos for specified production method handle(s): /logos?filter[production_method.handle]=dtg, /logos?filter[production_method.handle]=dtg,embroidery
  • List logos for specified production method id(s): /logos?filter[production_method.id]=1, /logos?filter[production_method.id]=1,2,3
  • List logos for specified production collection name(s): /logos?filter[collection_name]=catalogue, /logos?filter[collection_name]=catalogue,ordered
  • List logos for a given date, only resources created after the provided date will be returned: /logos?filter[created_at_min]=2017-09-27
  • List logos for a given date, only resources created before the provided date will be returned: /logos?filter[created_at_max]=2017-11-15
  • List logos for a given date, only resources updated after the provided date will be returned: /logos?filter[updated_at_min]=2017-09-27
  • List logos for a given date, only resources updated before the provided date will be returned: /logos?filter[updated_at_max]=2017-09-27

See: Pagination, Filtering

Expanding relationships

You can expand some resources to show more details. See: Expanding Objects

  • Expand production method — You can show the content of the production method instead of the id: /logos?expand=production_method
AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

API token as bearer token — you receive a test and a live token, there is no switch between them. See Setup → Authentication and Setup → Test mode.

In: header

Query Parameters

page?integer

Page number to return — see Basic Usage → Pagination.

Default1
per_page?integer

Number of objects per page (default 25, maximum 100) — see Basic Usage → Pagination.

Rangevalue <= 100
Default25
filter[id]?string

List logos for specified id(s). Multiple ids are separated by comma (filter[id]=1,2,3).

filter[production_method.handle]?string

List logos for specified production method handle(s). Multiple handles are separated by comma (filter[production_method.handle]=dtg,embroidery).

filter[production_method.id]?string

List logos for specified production method id(s). Multiple ids are separated by comma (filter[production_method.id]=1,2,3).

filter[collection_name]?string

List logos for specified production collection name(s). Multiple names are separated by comma (filter[collection_name]=catalogue,ordered).

Allowed values are:

collection namedescription
catalogueAll logos which are created in the api or in your app administration.
customAll logos which are designed by you but not ordered.
orderedAll ordered logos.
filter[created_at_min]?string

List logos for a given date, only resources created after the provided date will be returned.

Formatdate
filter[created_at_max]?string

List logos for a given date, only resources created before the provided date will be returned.

Formatdate
filter[updated_at_min]?string

List logos for a given date, only resources updated after the provided date will be returned.

Formatdate
filter[updated_at_max]?string

List logos for a given date, only resources updated before the provided date will be returned.

Formatdate
expand?string

You can expand some resources to show more details — see Expanding Objects. Allowed values:

  • production_method — You can show the content of the production method instead of the id.

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

Request example
curl -X GET "https://example.com/logos?filter%5Bid%5D=1%2C2%2C3&filter%5Bproduction_method.handle%5D=dtg%2Cembroidery&filter%5Bproduction_method.id%5D=1%2C2%2C3&filter%5Bcollection_name%5D=catalogue%2Cordered&filter%5Bcreated_at_min%5D=2017-09-27&filter%5Bcreated_at_max%5D=2017-11-15&filter%5Bupdated_at_min%5D=2017-09-27&filter%5Bupdated_at_max%5D=2017-09-27&expand=production_method" \  -H "Accept: application/json"

{  "data": [    {      "id": 3,      "base_logo_id": null,      "state": "completed",      "collection_name": "catalogue",      "name": "logo",      "production_method": 1,      "texts": [],      "color_assignments": [        {          "element_type": "class",          "element_identifier": ".st0",          "apply_to": "fill",          "color": {            "name": "Royal",            "hex": "2b408e",            "red": 43,            "green": 64,            "blue": 142,            "cyan": 70,            "magenta": 55,            "yellow": 0,            "black": 44,            "pantone": "7670",            "hks": "35",            "hks_percent": 100,            "manufacturer": null,            "color_details": null,            "color_details_type": null,            "created_at": "2022-03-22T13:45:56.000000Z",            "updated_at": "2022-03-22T13:45:56.000000Z"          },          "red": 43,          "green": 64,          "blue": 142        }      ],      "is_customer_logo": false,      "has_been_ordered": false,      "external_identifier": null,      "media": [        {          "id": 1858,          "is_test": 0,          "collection_name": "original-data",          "file_name": "logo.png",          "size": 7502,          "mime_type": "image/png",          "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/0b9036ff186147b78ea663f903b08033/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T134627Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=43f91f2a28a0da62071d0f07e3f7b65960323e54f2facb4a74029d633ec952eb",          "state": "completed",          "requested": null,          "failure_message": null,          "created_at": "2022-03-22T13:46:07+00:00",          "updated_at": "2022-03-22T13:46:07+00:00"        },        {          "id": 1859,          "is_test": 0,          "collection_name": "production-file",          "file_name": "logo.png",          "size": 7502,          "mime_type": "image/png",          "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/c3d8ccbecf284c5e80ce6cef1db48c13/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T134627Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=ef72e25aec04e82988644ab8f8782713d793da4426e3322e382f8d9958575865",          "state": "pending",          "requested": null,          "failure_message": null,          "created_at": "2022-03-22T13:46:07+00:00",          "updated_at": "2022-03-22T13:46:07+00:00"        },        {          "id": 1860,          "is_test": 0,          "collection_name": "preview-file",          "file_name": "logo.png",          "size": 28950,          "mime_type": "image/png",          "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/dd881c1dc3274779810ab8ed9e2d9b47/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T134627Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=3b8ccb6eecf4011f515bfad7e7b12df3e41e083ef54a8c6cc35aff1483608cde",          "state": "pending",          "requested": null,          "failure_message": null,          "created_at": "2022-03-22T13:46:08+00:00",          "updated_at": "2022-03-22T13:46:08+00:00"        }      ],      "failure_message": null,      "origin": "merchant-upload",      "review_state": "completed",      "created_at": "2022-03-22T13:46:04+00:00",      "updated_at": "2022-03-22T13:46:08+00:00"    },    {      "id": 2,      "base_logo_id": null,      "requested": [        {          "url": "https://smake-public.s3.eu-west-1.amazonaws.com/testfiles/logo.png",          "collection_name": "production-file"        }      ],      "state": "completed",      "collection_name": "catalogue",      "name": "logo",      "production_method": 4,      "texts": [],      "color_assignments": [],      "is_customer_logo": false,      "has_been_ordered": false,      "external_identifier": null,      "media": [        {          "id": 1857,          "is_test": 0,          "collection_name": "production-file",          "file_name": "logo.png",          "size": 7502,          "mime_type": "image/png",          "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/3bfd223e0cb44b959796ad4158eb3169/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T134627Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=b0ff5be6891d1c9c0516d9de20b5c9edaa3114fb45b5df076a41fe6d286696ea",          "state": "completed",          "requested": null,          "failure_message": null,          "created_at": "2022-03-22T13:46:03+00:00",          "updated_at": "2022-03-22T13:46:03+00:00"        }      ],      "failure_message": null,      "origin": "merchant-upload",      "review_state": "completed",      "created_at": "2022-03-22T13:46:01+00:00",      "updated_at": "2022-03-22T13:46:03+00:00"    },    {      "id": 1,      "base_logo_id": null,      "requested": [        {          "url": "https://smake-public.s3.eu-west-1.amazonaws.com/testfiles/logo.png",          "collection_name": "production-file"        }      ],      "state": "completed",      "collection_name": "catalogue",      "name": "logo",      "production_method": 1,      "texts": [],      "color_assignments": [],      "is_customer_logo": false,      "has_been_ordered": false,      "external_identifier": null,      "media": [        {          "id": 1854,          "is_test": 0,          "collection_name": "original-data",          "file_name": "logo.png",          "size": 7502,          "mime_type": "image/png",          "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/40b1b50df1d0423f9cc11a37b62a6f8d/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T134627Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=7fc3dd5bb7960ff60d39461b767ed1dcb04006d4bf121759ef499b092ddd4be1",          "state": "completed",          "requested": null,          "failure_message": null,          "created_at": "2022-03-22T13:45:58+00:00",          "updated_at": "2022-03-22T13:45:58+00:00"        },        {          "id": 1855,          "is_test": 0,          "collection_name": "production-file",          "file_name": "logo.png",          "size": 7502,          "mime_type": "image/png",          "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/333440cf2e1a43f0b4f79ce771223b5a/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T134627Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=aac8a299bdc7859497e46d20cfdc793c3b6a1fe2b82bd4aa5f80ec2a9b8bb873",          "state": "pending",          "requested": null,          "failure_message": null,          "created_at": "2022-03-22T13:45:58+00:00",          "updated_at": "2022-03-22T13:45:58+00:00"        },        {          "id": 1856,          "is_test": 0,          "collection_name": "preview-file",          "file_name": "logo.png",          "size": 28950,          "mime_type": "image/png",          "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/b212cfc3505a42e5bc4d1fb53388824d/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T134627Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=f55ec95dea06ea553956b484097ecbb2c2786874e0fae26c58a77809eefb567e",          "state": "pending",          "requested": null,          "failure_message": null,          "created_at": "2022-03-22T13:45:59+00:00",          "updated_at": "2022-03-22T13:45:59+00:00"        }      ],      "failure_message": null,      "origin": "merchant-upload",      "review_state": "completed",      "created_at": "2022-03-22T13:45:56+00:00",      "updated_at": "2022-03-22T13:46:00+00:00"    }  ],  "links": {    "first": "https://api.smake.io/v2/apps/1/logos?filter%5Bid%5D=1%2C2%2C3&page=1",    "last": null,    "prev": null,    "next": null  },  "meta": {    "current_page": 1,    "from": 1,    "path": "https://api.smake.io/v2/apps/1/logos",    "per_page": 25,    "to": 3  }}

List production methods GET

The endpoint lists all available production methods that can be used for customizing. See [Design Variants](/docs/checkout/2022-02-01/endpoints/variants/designVariant), [Create Logos](/docs/checkout/2022-02-01/endpoints/logos/createLogo) and [Design in Order](/docs/checkout/2022-02-01/endpoints/orders/createOrder) ## List Returns a collection of production methods. ### Filtering You can filter your results as follows: ##### List production methods for specified id(s) * `/production-methods?filter[id]=1` * `/production-methods?filter[id]=1,2,3` ##### List production methods for a specified handle(s) * `/production-methods?filter[handle]=dtg` * `/production-methods?filter[handle]=dtg,embroidery` See: [Pagination](/docs/checkout/2022-02-01/basic/pagination), [Filtering](/docs/checkout/2022-02-01/basic/filtering)

Create a logo POST

You can create a logo here with a url or an uploaded media `id`. See [Upload Media](/docs/checkout/2022-02-01/endpoints/media/uploadMedia). Allowed production methods are for DTG and Manual processing. ### Background processing When you create a logo, this happens asynchronously, and you have to use [Polling](/docs/checkout/2022-02-01/basic/polling) or [Webhooks](/docs/checkout/2022-02-01/basic/webhooks). You will receive the new logo `id` in the header for later reference. The current state of the asynchronous process is represented due following states: | State | Meaning | |-------|---------| | `draft` | The initial state of a new logo. | | `checking` | Logo is processed automatically in background. For example images will be generated or downloaded. | | `failed` | Something went wrong during the checking process. The reason can be found in the `failure_message` attribute. For example an image could not be downloaded. | | `completed` | All automatic processes were successful. The logo is ready to use. | It is not possible to use this logo before state `completed`. ### Media Array / Media Object The request field `media` is always an array of media objects — see the `media` property of the request body. ### Production Method Object For a list of available production methods see [Production Methods](/docs/checkout/2022-02-01/endpoints/production-methods/listProductionMethods) — see the `production_method` property of the request body.